# Uses of Class
org.globus.gsi.CredentialException

Packages that use CredentialException
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.

## Uses of CredentialException in org.globus.gsi

Methods in org.globus.gsi that throw CredentialException
Modifier and Type
Method
Description
`static X509Credential`
X509Credential.`getDefaultCredential()`
Returns the default credential.
`PrivateKey`
X509Credential.`getPrivateKey()`
`PrivateKey`
X509Credential.`getPrivateKey(String password)`
`int`
X509Credential.`getStrength()`
Returns strength of the private/public key in bits.
`int`
X509Credential.`getStrength(String password)`
Returns strength of the private/public key in bits.
`protected void`
X509Credential.`load(InputStream input)`
`protected void`
X509Credential.`loadCertificate(InputStream input)`
`protected void`
X509Credential.`loadKey(InputStream input)`
`void`
X509Credential.`verify()`
Verifies the validity of the credentials.
Constructors in org.globus.gsi that throw CredentialException
Modifier
Constructor
Description
``
`X509Credential(InputStream input)`
``
`X509Credential(InputStream certInputStream, InputStream keyInputStream)`
``
`X509Credential(String proxyFile)`
``
`X509Credential(String certFile, String keyFile)`